# @source http://ukurier.gov.ua/uk/news/v-ukrayini-zyavivsya-she-odin-vihidnij-14-zhovtnya/
# @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Ukraine
holidays:
  UA:
    names:
      uk: Україна
      en: Ukraine
    langs:
      - uk
    zones:
      - Europe/Kiev
      - Europe/Uzhgorod
      - Europe/Zaporozhye
    dayoff: sunday
    days:
      01-01 and if saturday, sunday then next tuesday:
        _name: 01-01
        name:
          en: New Year
        substitute: true
      01-02 and if saturday, sunday then next monday:
        _name: 01-01
        name:
          en: New Year
        substitute: true
      julian 12-25 and if saturday, sunday then next monday:
        _name: julian 12-25
        substitute: true
      03-08 and if saturday, sunday then next monday:
        _name: 03-08
      orthodox and if sunday then next monday:
        _name: orthodox
      orthodox 49 and if sunday then next monday:
        _name: easter 49
      05-01 and if saturday, sunday then next tuesday:
        _name: 05-01
        substitute: true
      05-02 and if saturday, sunday then next monday:
        _name: 05-01
        substitute: true
      05-09 and if saturday, sunday then next monday:
        name:
          uk: День перемоги над нацизмом у Другій світовій війні
          en: Victory Day
        substitute: true
      06-28 and if saturday, sunday then next monday:
        _name: Constitution Day
        substitute: true
      08-24 and if saturday, sunday then next monday:
        _name: Independence Day
        substitute: true
      10-14 and if saturday, sunday then next monday:
        name:
          uk: День захисника України
          en: Defender of Ukraine Day
        substitute: true
        active:
          - from: '2015-03-05'
    # states:
      # '05':
      #   name: Vinnychchyna
      # '07':
      #   name: Volyn
      # '09':
      #   name: Luhanshchyna
      # '12':
      #   name: Dnipropetrovshchyna
      # '14':
      #   name: Donechchyna
      # '18':
      #   name: Zhytomyrshchyna
      # '21':
      #   name: Zakarpattia
      # '23':
      #   name: Zaporizhzhya
      # '26':
      #   name: Prykarpattia
      # '30':
      #   name: Kiev
      # '32':
      #   name: Kyivshchyna
      # '35':
      #   name: Kirovohradschyna
      # '40':
      #   name: Sevastopol
      # '43':
      #   name: Crimea
      # '46':
      #   name: Lvivshchyna
      # '48':
      #   name: Mykolayivschyna
      # '51':
      #   name: Odeshchyna
      # '53':
      #   name: Poltavshchyna
      # '56':
      #   name: Rivnenshchyna
      # '59':
      #   name: Sumshchyna
      # '61':
      #   name: Ternopilshchyna
      # '63':
      #   name: Kharkivshchyna
      # '65':
      #   name: Khersonshchyna
      # '68':
      #   name: Khmelnychchyna
      # '71':
      #   name: Cherkashchyna
      # '74':
      #   name: Chernihivshchyna
      # '77':
      #   name: Chernivtsi Oblast
